Skip to main content
GET
/
v1
/
cwobject
/
bucket-info
/
{bucketName}
Get bucket info
curl --request GET \
  --url https://api.coreweave.com/v1/cwobject/bucket-info/{bucketName} \
  --header 'Authorization: Bearer <token>'
{
  "info": {
    "orgId": "<string>",
    "name": "<string>",
    "creationTime": "2023-11-07T05:31:56Z",
    "settings": {
      "auditLoggingEnabled": true
    },
    "location": "<string>",
    "usage": [
      {
        "measurementType": "<string>",
        "value": "<string>",
        "valueHumanReadable": "<string>"
      }
    ]
  }
}

gRPC method: GetBucketInfo

Substitute {bucketName} with the bucket name. The response includes settings, location, and usage that may not be visible through the S3-compatible API.
Example request
curl -X GET https://api.coreweave.com/v1/cwobject/bucket-info/{bucketName} \
       -H "Content-Type: application/json" \
       -H "Authorization: Bearer {API_ACCESS_TOKEN}"

Authorizations

Authorization
string
header
default:Bearer {API_ACCESS_TOKEN}
required

CoreWeave API access token sent as a bearer token in the Authorization header (the value is prefixed with Bearer). Used by every operation except the SAML/OIDC token-exchange endpoints (anonymous) and the container credentials GET (which uses ContainerCredentialsAuth).

Path Parameters

bucketName
string
required

Response

OK

Inventory and usage information for a single bucket.

info
object

The bucket metadata.

Last modified on June 25, 2026